---
title: "Vision"
sub_link: "vision"
meta_title: "Vision - Polyaxon's vision is to provide an enterprise grade platform For Machine Learning and Deep Learning Life Cycle"
meta_description: "Polyaxon's master plan is to replace disparate tools and applications with a Single Platform pre-configured to work by default across the entire Machine Learning lifecycle."
visibility: public
status: published
tags:
    - reference
---

Polyaxon's master plan is to replace disparate tools and applications with a [Single Platform](/resources/one-platform/) 
pre-configured to work by default across the entire [Machine Learning lifecycle](/resources/machine-learning-lifecycle/).

Today, Polyaxon gives you a simple interface to access data, train experiments, and manage models.

What most people don't know is that our long-term vision is to create an enterprise grade platform that makes it faster, easier, and more efficient to develop machine learning and deep learning applications, 
in every [industry](/resources/machine-learning-usecases/), in every organization, in every country, and not just the ones working at the half-dozen tech companies. 
We believe that by using the power of machine learning, individuals and organizations will change the world. We want to help and simplify this technological transition, 
and we want to enable the innovations needed in [transportation, health care, energy, communication, space travel, etc.](/resources/machine-learning-usecases/)


The process of creating Machine learning is still poor, duplicative, manual, and [single-player](/resources/machine-learning-personas/). Every machine learning project is about integrating components of variable quality developed mostly in isolation, with a high chance of failure. 
We want to solve this problem, by developing a platform that enables:

 * Easier on-boarding.
 * Better knowledge distribution and collaboration.
 * Improved productivity.
 * Faster innovation cycle.
 * Easier workflows.


## Short term

Polyaxon's short term vision is to enable solo-researchers, teams, and organizations to develop Machine Learning Models in a very easy way, while having visibility, auditing, and reproducibility.

How we're going to make it easier and faster for today's practitioners to build machine learning applications. In short, we will:

 * Keep product improvement faster and more focused. 
 * Make basic and common data science steps intuitive and automatic while hiding any unnecessary complexity.
 * Expose major open-source tooling and initiatives.
 * Make model development reviewable and continuous.
 * Cover, in breadth, major aspects of the lifecycle by providing integrations with major tools. 

## Long term

When our short term phase is almost done, we'll reveal how we'll work toward:
 
 * Improving and Increasing the depth of several aspects.
 * Hiding more complexity, removing abstraction leakiness, and simplifying access.
 * Exposing more information to upper management to increase visibility and reduce risk.
 * Provide simpler interfaces for non-technical employees to leverage data for decision making.

