---
title: "How to install Polyaxon locally"
title_link: "Local Install"
sub_link: "local"
date: "2018-10-01"
meta_title: "How to install Polyaxon locally on Mac, PC or Linux"
meta_description: "A detailed local install guide for how to install the Polyaxon platform on your computer running Mac, PC or Linux. Ideal for Polyaxon development."
tags:
    - setup
    - local
    - install
    - development
---

Fast-track local install for getting Polyaxon running on your computer or setup for developing features or doing bug fixes

## Overview

Running Polyaxon locally is the easiest way to get your own copy of the software running and be able to do some local development with it. 
By the end of this guide you will have completed a local Polyaxon install that runs in development mode.

This install is **not** suitable for [production use](/setup/ubuntu/) or [contributing](/setup/source/) to core.


---


## Prerequisites

To install Polyaxon locally you will need the following:

* A computer running MacOS, Windows or Linux
* A clean, empty directory on your machine


---


## Install Polyaxon-CLI

[Polyaxon-CLI](/references/polyaxon-cli/) is a commandline tool to help you get Polyaxon installed and configured for use, quickly and easily.

Once installed, you can always run `polyaxon help` to see a list of available commands.

---

## Install Polyaxon

In your terminal, `cd` into an empty directory and run the install command:
