# Generated by Django 2.1.2 on 2018-10-05 09:20

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models


def migrate_experiment_metrics(apps, schema_editor):
    Experiment = apps.get_model('db', 'Experiment')
    for experiment in Experiment.objects.all():
        last_metric = {}
        for metric in experiment.metrics.order_by('created_at').values_list('values', flat=True):
            last_metric.update(metric)

        experiment.last_metric = last_metric
        experiment.save()


class Migration(migrations.Migration):

    dependencies = [
        ('db', '0009_auto_20180926_0811'),
    ]

    operations = [
        migrations.AddField(
            model_name='experiment',
            name='readme',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='experimentgroup',
            name='readme',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='job',
            name='readme',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='project',
            name='readme',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.RemoveField(
            model_name='experiment',
            name='metric',
        ),
        migrations.AddField(
            model_name='experiment',
            name='last_metric',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True),
        ),
        migrations.RunPython(migrate_experiment_metrics)
    ]
